﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace cofinet
{
    public partial class delet : Form
    {
        public delet()
        {
            InitializeComponent();
        }

        void display()
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from hesab", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "hesab");
            dataGridView1.DataSource = ds.Tables["hesab"].DefaultView;
            con1.Close();
        }

        void cls()
        {

            textBox1.Text = textBox2.Text = "";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            OleDbConnection con = new OleDbConnection();
            con.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbCommand com = new OleDbCommand();
            com.Connection = con;
            int item;
            com.CommandText = "select count(tarikh) from hesab where tarikh='" + mask1.Text + "'";
            con.Open();
            item = (int)com.ExecuteScalar();
            con.Close();
            if (item != 0)
            {
                if (MessageBox.Show("آيا مي خواهيد اطلاعات مورد نظر حذف شود؟", "توجه", MessageBoxButtons.YesNo) == DialogResult.Yes)
                    com.CommandText = "delete from hesab where nam='" + textBox1.Text + "' and tarikh='" + mask1.Text + "' and kol='" + textBox2.Text + "'and saat='" + txtsaat.Text + "'";
                con.Open();
                com.ExecuteNonQuery();
                con.Close();
                display();
                cls();
                button2.Enabled = false;
            }
            else
            {
                MessageBox.Show("!اطلاعات مورد نظر موجود نيست", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
                cls();
                button2.Enabled = false;
            }
        }

        private void delet_Load(object sender, EventArgs e)
        {
            display();
            System.Globalization.PersianCalendar p = new System.Globalization.PersianCalendar();
            mask1.Text = p.GetYear(DateTime.Now).ToString() + p.GetMonth(DateTime.Now).ToString("0#") + p.GetDayOfMonth(DateTime.Now).ToString("0#");
            SendKeys.Send("{Tab}");
        }

        private void mask1_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from hesab where tarikh like'%" + mask1.Text + "%'", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "hesab");
            dataGridView1.DataSource = ds.Tables["hesab"].DefaultView;
            con1.Close();
        }

        private void textBox1_Enter(object sender, EventArgs e)
        {
            System.Globalization.CultureInfo language = new System.Globalization.CultureInfo("fa-ir");
            InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(language);
        }

        private void textBox2_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
                e.Handled = true;
        }

        private void btnsabt_Click(object sender, EventArgs e)
        {
            if (mask1.Text == "" || textBox1.Text == "" || textBox2.Text == "")
            {
                MessageBox.Show("اطلاعات را کامل وارد کنید");
            }
            else
            {
                OleDbConnection con = new OleDbConnection();
                con.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
                OleDbCommand com = new OleDbCommand();
                com.CommandText = "insert into hesab(tarikh,nam,kol,saat) values ('" + mask1.Text + "','" + textBox1.Text + "','" + textBox2.Text + "','" + lbl2.Text + "')";
                con.Open();
                com.Connection = con;
                com.ExecuteNonQuery();
                con.Close();
                display();
                cls();
            }
        }

        private void btnenseraf_Click(object sender, EventArgs e)
        {
            cls();
            button2.Enabled = false;
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            if (dataGridView1.CurrentRow.Cells[0].Value.ToString() == "")
            {
                MessageBox.Show(".لطفا كالاي مورد نظر را انتخاب کنید", "Warning", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
            else
            {
                maskedTextBox1.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["tarikh"].Value);
                textBox1.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["nam"].Value);
                textBox2.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["kol"].Value);
                txtsaat.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["saat"].Value);
                button2.Enabled = true;
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            lbl2.Text = DateTime.Now.Hour.ToString("0#");
            lbl2.Text += " : ";
            lbl2.Text += DateTime.Now.Minute.ToString("0#");
            lbl2.Text += " : ";
            lbl2.Text += DateTime.Now.Second.ToString("0#");
        }

        private void mask1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    textBox1.Focus();
                    break;
            }
        }

        private void textBox1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    textBox2.Focus();
                    break;
                case 38:
                    mask1.Focus();
                    break;
            }
        }

        private void textBox2_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    btnsabt.Focus();
                    break;
                case 38:
                    textBox1.Focus();
                    break;
            }
        }
    }
}
