﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace cofinet
{
    public partial class sefaresh : Form
    {
        public sefaresh()
        {
            InitializeComponent();
        }

        void display()
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from sefaresh", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "sefaresh");
            dataGridView1.DataSource = ds.Tables["sefaresh"].DefaultView;
            con1.Close();
        }

        void cls()
        {
            textBox1.Text = textBox2.Text = txtgh.Text = txtd.Text =
            maskedTextBox2.Text = txttel.Text = "";
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            lbl2.Text = DateTime.Now.Hour.ToString("0#");
            lbl2.Text += " : ";
            lbl2.Text += DateTime.Now.Minute.ToString("0#");
            lbl2.Text += " : ";
            lbl2.Text += DateTime.Now.Second.ToString("0#");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (maskedTextBox2.Text == "" || textBox2.Text == "" || txtgh.Text == "" || txttel.Text == "")
            {
                MessageBox.Show("قسمت های ستاره دار را کامل پر کنید");
            }
            else
            {
                OleDbConnection con = new OleDbConnection();
                con.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
                OleDbCommand com = new OleDbCommand();
                com.Connection = con;
                int item;
                com.CommandText = "select count(zaman) from sefaresh where zaman='" + lbl2.Text + "'";
                con.Open();
                item = (int)com.ExecuteScalar();
                con.Close();
                if (item > 0)
                {
                    MessageBox.Show("!لطفا دباره امتحان كنيد خطايي ايجاد شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {
                    com.CommandText = "insert into sefaresh(zaman,dates,datet,nam,mozu,gharar,daryafti,tel) values ('" + lbl2.Text + "','" + maskedTextBox1.Text + "','" + maskedTextBox2.Text + "','" + textBox1.Text + "','" + textBox2.Text + "','" + txtgh.Text + "','" + txtd.Text + "','" + txttel.Text + "')";
                    con.Open();
                    com.Connection = con;
                    com.ExecuteNonQuery();
                    con.Close();
                    display();
                    cls();
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            OleDbConnection con = new OleDbConnection();
            con.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbCommand com = new OleDbCommand();
            com.Connection = con;
            int item;
            com.CommandText = "select count(zaman) from sefaresh where zaman='" + txtz.Text + "'";
            con.Open();
            item = (int)com.ExecuteScalar();
            con.Close();
            if (item != 0)
            {
                if (MessageBox.Show("آيا مي خواهيد اطلاعات مورد نظر حذف شود؟", "توجه", MessageBoxButtons.YesNo) == DialogResult.Yes)
                com.CommandText = "delete from sefaresh where zaman='" + txtz.Text + "' and dates='" + maskedTextBox1.Text + "'";
                con.Open();
                com.ExecuteNonQuery();
                con.Close();
                display();
                cls();
                button2.Enabled = false;
            }
            else
            {
                MessageBox.Show("!اطلاعات مورد نظر موجود نيست", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error);
                cls();
                button2.Enabled = false;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            OleDbConnection con = new OleDbConnection();
            con.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbCommand com = new OleDbCommand();
            com.CommandText = "insert into hesab(tarikh,nam,kol,saat) values ('" + maskedTextBox2.Text + "','" + textBox2.Text + "','" + txtgh.Text + "','" + lbl2.Text + "')";
            con.Open();
            com.Connection = con;
            com.ExecuteNonQuery();
            con.Close();
            com.CommandText = "delete from sefaresh where zaman='" + txtz.Text + "'";
            con.Open();
            com.Connection = con;
            com.ExecuteNonQuery();
            con.Close();
            display();
            cls();
            button4.Enabled = false;
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (textBox2.Text == "" || txtgh.Text == "")
            {
                button4.Enabled = false;
            }
            else
            {
                button4.Enabled = true;
            }
        }

        void tarikh()
        {
            System.Globalization.PersianCalendar p = new System.Globalization.PersianCalendar();
            maskedTextBox1.Text = p.GetYear(DateTime.Now).ToString() + p.GetMonth(DateTime.Now).ToString("0#") + p.GetDayOfMonth(DateTime.Now).ToString("0#");
            SendKeys.Send("{Tab}");
        }

        private void sefaresh_Load(object sender, EventArgs e)
        {
            tarikh();
            display();
        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            if (dataGridView1.CurrentRow.Cells[0].Value.ToString() == "")
            {
                MessageBox.Show(".لطفا تعرفه مورد نظر را انتخاب کنید", "Warning", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
            else
            {
                txtz.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["zaman"].Value);
                maskda.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["dates"].Value);
                maskedTextBox2.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["datet"].Value);
                textBox1.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["nam"].Value);
                textBox2.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["mozu"].Value);
                txtgh.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["gharar"].Value);
                txtd.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["daryafti"].Value);
                txttel.Text = Convert.ToString(dataGridView1.CurrentRow.Cells["tel"].Value);
                button2.Enabled = true;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            cls();
            button4.Enabled = false;
            button2.Enabled = false;
        }

        private void txtd_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
                e.Handled = true;
        }

        private void txtgh_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
                e.Handled = true;
        }

        private void txttel_TextChanged(object sender, EventArgs e)
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from sefaresh where tel like'%" + txttel.Text + "%'", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "sefaresh");
            dataGridView1.DataSource = ds.Tables["sefaresh"].DefaultView;
            con1.Close();
        }

        private void txttel_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
                e.Handled = true;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from sefaresh where nam like'%" + textBox1.Text + "%'", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "sefaresh");
            dataGridView1.DataSource = ds.Tables["sefaresh"].DefaultView;
            con1.Close();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from sefaresh where datet ='" + maskedTextBox1.Text + "'", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "sefaresh");
            dataGridView1.DataSource = ds.Tables["sefaresh"].DefaultView;
            con1.Close();
        }

        private void maskedTextBox1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    maskedTextBox2.Focus();
                    break;
            }
        }

        private void maskedTextBox2_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    textBox1.Focus();
                    break;
                case 38:
                    maskedTextBox1.Focus();
                    break;
            }
        }

        private void textBox1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    textBox2.Focus();
                    break;
                case 38:
                    maskedTextBox2.Focus();
                    break;
            }
        }

        private void textBox2_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    txttel.Focus();
                    break;
                case 38:
                    textBox1.Focus();
                    break;
            }
        }

        private void txttel_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    txtgh.Focus();
                    break;
                case 38:
                    textBox2.Focus();
                    break;
            }
        }

        private void txtgh_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    txtd.Focus();
                    break;
                case 38:
                    txttel.Focus();
                    break;
            }
        }

        private void txtd_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    button1.Focus();
                    break;
                case 38:
                    txtgh.Focus();
                    break;
            }
        }

        private void button1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    button2.Focus();
                    break;
                case 38:
                    txtd.Focus();
                    break;
            }
        }
    }
}
