﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace cofinet
{
    public partial class report : Form
    {
        public report()
        {
            InitializeComponent();
        }

        void display()
        {
            OleDbConnection con1 = new OleDbConnection();
            con1.ConnectionString = "provider=microsoft.jet.oledb.4.0; data source=cof.mdb";
            OleDbDataAdapter da = new OleDbDataAdapter("select * from hesab where tarikh between '" + mask1.Text + "' and '" + mask2.Text + "'", con1);
            DataSet ds = new DataSet();
            da.Fill(ds, "hesab");
            dataGridView1.DataSource = ds.Tables["hesab"].DefaultView;
            con1.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            display();
            decimal sum = 0;
            for (int i = 0; i < dataGridView1.Rows.Count; i++)
            {
                sum += Convert.ToDecimal(dataGridView1.Rows[i].Cells["kol"].Value);
                dataGridView1.Rows[i].Cells["ID"].Value = i + 1;
            }
            lblkol.Text = sum.ToString("###,###,###,###");
        }

        private void mask1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    mask2.Focus();
                    break;
                case 38:
                    button1.Focus();
                    break;
            }
        }

        private void mask2_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyValue)
            {
                case 40:
                case 13:
                    button1.Focus();
                    break;
                case 38:
                    mask1.Focus();
                    break;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Cursor = Cursors.WaitCursor;
            DGVPrinter printer = new DGVPrinter();
            printer.CellAlignment = StringAlignment.Center;
            printer.CellFormatFlags = StringFormatFlags.DirectionRightToLeft;

            printer.HeaderCellAlignment = StringAlignment.Center;
            printer.HeaderCellFormatFlags = StringFormatFlags.DirectionRightToLeft;
            printer.PageNumberAlignment = StringAlignment.Near;
            printer.PageNumberInHeader = true;
            printer.PageNumberOnSeparateLine = true;
            printer.PageNumbers = true;
            printer.PorportionalColumns = true;

            printer.Title = "  گزارش از میزان فروش   جمع فروش " + lblkol.Text + "تومان";
            printer.TitleAlignment = StringAlignment.Center;
            printer.TitleColor = Color.Blue;
            printer.TitleFont = new Font("Arial", 12);
            printer.TitleFormatFlags = StringFormatFlags.DirectionRightToLeft;

            printer.SubTitle = " ";
            printer.SubTitleAlignment = StringAlignment.Center;
            printer.SubTitleColor = Color.Blue;
            printer.SubTitleFont = new Font("Arial", 12);
            printer.SubTitleFormatFlags = StringFormatFlags.DirectionRightToLeft;
            printer.PrintPreviewDataGridView(dataGridView1);

            this.Cursor = Cursors.Default;
        }
    }
}
